Bug 990854 - Multiple Gateways: Upgrade VDSM to 3.3 must reconfigure networking on host
Multiple Gateways: Upgrade VDSM to 3.3 must reconfigure networking on host
Status: CLOSED NOTABUG
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
3.3
Unspecified Unspecified
low Severity low
: ---
: 3.3
Assigned To: Assaf Muller
Haim
network
:
Depends On: 994523
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 02:23 EDT by Assaf Muller
Modified: 2013-10-16 02:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-16 02:39:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Assaf Muller 2013-08-01 02:23:25 EDT
Description of problem:
From a multiple gateways feature perspective: Adding a brand new host to oVirt works properly. The ovirtmgmt bridge will be created and source routing will be configured for the bridge. Any new network attached to other nics will get source routing configured as well.

However: Upgrading an existing host to VDSM 3.3 currently does not configure source routing to existing VDSM controlled interfaces. So if the host already has ovirtmgmt configured source routing won't be configured for it, and attaching a new network will break connectivity to the host if the new network has a gateway defined.

Version-Release number of selected component (if applicable):
Upgrade to VDSM for oVirt 3.3

How reproducible:
100%

Steps to Reproduce:
1. Upgrade an existing host to VDSM 3.3
2. Attached a new network with a gateway defined

Actual results:
ovirtmgmt bridge has no source routing configured and the ovirtmgmt default route has been replaced by the new interface's default route = Lost connectivity to the host

Expected results:
Keep connectivity to the host
Comment 1 Assaf Muller 2013-08-07 08:56:30 EDT
No longer blocks oVirt 3.3 when https://bugzilla.redhat.com/show_bug.cgi?id=994523 is solved.

Note You need to log in before you can comment on or make changes to this bug.